<style>
.img-list {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.img-list li {
    padding: 5px;
    overflow: auto;
}

.img-list li:hover {
    background-color: #eee;
}

.img-list li a {
    color: initial;
    text-decoration: none;
    display: block;
}

.img-list li img {
    width: 10%;
    float: left;
    margin: 0 15px 0 0;
    background: white;
    object-fit: scale-down;
}

.img-list li img.default-img {
    max-height: 5ex;
    background-color: var(--gs-primary-color);
    padding: 5px;
}

.img-list li .desc {
    margin: 0px;
}

.img-list li .name {
    margin: 5px;
    display: block;
    color: #409940;
    font-weight: bold;
    font-style: italic;
}
</style>
# General tools
<ul class="img-list"><li><a href="g.access.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.access.html"><span class="name">g.access</span> <span class="desc">If no option given, prints current status.</span></a></li><li><a href="g.copy.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.copy.html"><span class="name">g.copy</span> <span class="desc">Copies available data files in the current mapset search path to the user's current mapset.</span></a></li><li><a href="g.dirseps.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.dirseps.html"><span class="name">g.dirseps</span> <span class="desc">Converts any directory separator characters in the input string to or from native host format, and writes the changed path to standard output. Useful in scripts for Windows compatibility.</span></a></li><li><a href="g.download.location.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.download.location.html"><span class="name">g.download.location</span> <span class="desc">Get GRASS project from an URL or file path</span></a></li><li><a href="g.download.project.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.download.project.html"><span class="name">g.download.project</span> <span class="desc">Get GRASS project from an URL or file path</span></a></li><li><a href="g.extension.all.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.extension.all.html"><span class="name">g.extension.all</span> <span class="desc">By default only extensions built against different GIS Library are rebuilt.</span></a></li><li><a href="g.extension.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.extension.html"><span class="name">g.extension</span> <span class="desc">Downloads and installs extensions from GRASS Addons repository or other source into the local GRASS installation or removes installed extensions.</span></a></li><li><a href="g.filename.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.filename.html"><span class="name">g.filename</span> <span class="desc">Prints GRASS data base file names.</span></a></li><li><a href="g.findetc.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.findetc.html"><span class="name">g.findetc</span> <span class="desc">Searches for GRASS support files.</span></a></li><li><a href="g.findfile.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.findfile.html"><span class="name">g.findfile</span> <span class="desc">Searches for GRASS data base files and sets variables for the shell.</span></a></li><li><a href="g.gisenv.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gisenv.html"><span class="name">g.gisenv</span> <span class="desc">Prints all defined GRASS variables if no option is given.</span></a></li><li><a href="g.gui.animation.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.animation.html"><span class="name">g.gui.animation</span> <span class="desc">Tool for animating a series of raster and vector maps or a space time raster or vector dataset.</span></a></li><li><a href="g.gui.datacatalog.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.datacatalog.html"><span class="name">g.gui.datacatalog</span> <span class="desc">Tool for browsing, modifying and managing GRASS maps.</span></a></li><li><a href="g.gui.dbmgr.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.dbmgr.html"><span class="name">g.gui.dbmgr</span> <span class="desc">Launches graphical attribute table manager.</span></a></li><li><a href="g.gui.gcp.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.gcp.html"><span class="name">g.gui.gcp</span> <span class="desc">Georectifies a map and allows managing Ground Control Points.</span></a></li><li><a href="g.gui.gmodeler.html"><img class="linkimg" src="g_gui_gmodeler_db.png"></a><a href="g.gui.gmodeler.html"><span class="name">g.gui.gmodeler</span> <span class="desc">Allows interactively creating, editing and managing models.</span></a></li><li><a href="g.gui.iclass.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.iclass.html"><span class="name">g.gui.iclass</span> <span class="desc">Generates spectral signatures for an image by allowing the user to outline regions of interest.</span></a></li><li><a href="g.gui.image2target.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.image2target.html"><span class="name">g.gui.image2target</span> <span class="desc">Georectifies a map and allows managing Ground Control Points for 3D correction.</span></a></li><li><a href="g.gui.mapswipe.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.mapswipe.html"><span class="name">g.gui.mapswipe</span> <span class="desc">Interactively compares two maps by swiping a visibility bar.</span></a></li><li><a href="g.gui.html"><img class="linkimg" src="g_gui_rlisetup_1.png"></a><a href="g.gui.html"><span class="name">g.gui</span> <span class="desc">Optionally updates default user interface settings.</span></a></li><li><a href="g.gui.photo2image.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.photo2image.html"><span class="name">g.gui.photo2image</span> <span class="desc">Corrects scanning distortions of a paper photo.</span></a></li><li><a href="g.gui.psmap.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.psmap.html"><span class="name">g.gui.psmap</span> <span class="desc">Tool for creating hardcopy map outputs.</span></a></li><li><a href="g.gui.rdigit.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.rdigit.html"><span class="name">g.gui.rdigit</span> <span class="desc">Interactive editing and digitizing of raster maps.</span></a></li><li><a href="g.gui.rlisetup.html"><img class="linkimg" src="g_gui_rlisetup_1.png"></a><a href="g.gui.rlisetup.html"><span class="name">g.gui.rlisetup</span> <span class="desc">Configuration tool for r.li modules.</span></a></li><li><a href="g.gui.timeline.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.timeline.html"><span class="name">g.gui.timeline</span> <span class="desc">Allows comparing temporal datasets by displaying their temporal extents in a plot.</span></a></li><li><a href="g.gui.tplot.html"><img class="linkimg" src="g_gui_tplot_labels.png"></a><a href="g.gui.tplot.html"><span class="name">g.gui.tplot</span> <span class="desc">Plots the values of temporal datasets.</span></a></li><li><a href="g.gui.vdigit.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.gui.vdigit.html"><span class="name">g.gui.vdigit</span> <span class="desc">Interactive editing and digitization of vector maps.</span></a></li><li><a href="g.list.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.list.html"><span class="name">g.list</span> <span class="desc">Lists available GRASS data base files of the user-specified data type optionally using the search pattern.</span></a></li><li><a href="g.manual.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.manual.html"><span class="name">g.manual</span> <span class="desc">Displays the manual pages of GRASS modules.</span></a></li><li><a href="g.mapset.html"><img class="linkimg" src="g_mapsets_gui.png"></a><a href="g.mapset.html"><span class="name">g.mapset</span> <span class="desc">Optionally create new mapset or list available mapsets in given project (location).</span></a></li><li><a href="g.mapsets.html"><img class="linkimg" src="g_mapsets_gui.png"></a><a href="g.mapsets.html"><span class="name">g.mapsets</span> <span class="desc">Affects the user's access to data existing under the other mapsets in the current project.</span></a></li><li><a href="g.message.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.message.html"><span class="name">g.message</span> <span class="desc">This module should be used in scripts for messages served to user.</span></a></li><li><a href="g.mkfontcap.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.mkfontcap.html"><span class="name">g.mkfontcap</span> <span class="desc">Generates the font configuration file by scanning various directories for fonts.</span></a></li><li><a href="g.parser.html"><img class="linkimg" src="g_parser_test.png"></a><a href="g.parser.html"><span class="name">g.parser</span> <span class="desc">Provides automated parser, GUI, and help support for GRASS scripts.</span></a></li><li><a href="g.pnmcomp.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.pnmcomp.html"><span class="name">g.pnmcomp</span> <span class="desc">Overlays multiple PPM image files.</span></a></li><li><a href="g.ppmtopng.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.ppmtopng.html"><span class="name">g.ppmtopng</span> <span class="desc">Converts between PPM/PGM and PNG image formats.</span></a></li><li><a href="g.proj.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.proj.html"><span class="name">g.proj</span> <span class="desc">Can also be used to create new GRASS projects.</span></a></li><li><a href="g.region.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.region.html"><span class="name">g.region</span> <span class="desc">Manages the boundary definitions for the geographic region.</span></a></li><li><a href="g.remove.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.remove.html"><span class="name">g.remove</span> <span class="desc">Removes data base element files from the user's current mapset using the search pattern.</span></a></li><li><a href="g.rename.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.rename.html"><span class="name">g.rename</span> <span class="desc">Renames data base element files in the user's current mapset.</span></a></li><li><a href="g.search.modules.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.search.modules.html"><span class="name">g.search.modules</span> <span class="desc">Search in GRASS modules using keywords</span></a></li><li><a href="g.tempfile.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.tempfile.html"><span class="name">g.tempfile</span> <span class="desc">Creates a temporary file and prints it's file name.</span></a></li><li><a href="g.version.html"><img class="default-img" src="grass_logo.svg"></a><a href="g.version.html"><span class="name">g.version</span> <span class="desc">Optionally also prints build or copyright information.</span></a></li></ul>