---
hide:
  - toc
---

# Topic: LIDAR

| Tool | Description |
|--------|-------------|
| [v.decimate](v.decimate.md) | Copies points from one vector to another while applying different decimations |
| [v.lidar.correction](v.lidar.correction.md) | Corrects the v.lidar.growing output. It is the last of the three algorithms for LIDAR filtering. |
| [v.lidar.edgedetection](v.lidar.edgedetection.md) | Detects the object's edges from a LIDAR data set. |
| [v.lidar.growing](v.lidar.growing.md) | Building contour determination and Region Growing algorithm for determining the building inside |

*See also the corresponding keyword for additional references:*

<!-- topic_keyword { include: [LIDAR] } -->
