---
hide:
  - toc
---

# Topic: fire

| Tool | Description |
|--------|-------------|
| [r.ros](r.ros.md) | Generates three, or four raster map layers showing the base (perpendicular) rate of spread (ROS), the maximum (forward) ROS, the direction of the maximum ROS, and optionally the maximum potential spotting distance for fire spread simulation. |
| [r.spread](r.spread.md) | Generates a raster map of the cumulative time of spread, given raster maps containing the rates of spread (ROS), the ROS directions and the spread origins. It optionally produces raster maps to contain backlink UTM coordinates for tracing spread paths. Usable for fire spread simulations. |
| [r.spreadpath](r.spreadpath.md) | Recursively traces the least cost path backwards to cells from which the cumulative cost was determined. |

*See also the corresponding keyword for additional references:*

<!-- topic_keyword { include: [fire] } -->
